<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="pattern_length" type="ushort" parameter="true" default="128" description="Maximum length of pattern to detect."/>
  <property name="metadata_value" type="ulonglong" writable="true" default="0"
    description="Sets the value of the generated metadata message after a pattern match occurs."/>
  <property name="metadata_id" type="ulong" writable="true" default="0" description="Sets the value of the generated metadata id."/>
  <!-- LINT EXCEPTION: xml_012: 3:
       Cannot set default as size varies with parameter values. -->
  <property name="pattern" type="bool" arraylength="pattern_length" writable="true"
    description="Pattern to be detected. E.g. 0,0,0,0,1,0,1,0 sets the pattern to detect."/>
  <!-- LINT EXCEPTION: xml_012: 4:
       Cannot set default as size varies with parameter values. -->
  <property name="bitmask" type="bool" arraylength="pattern_length" writable="true"
    description="Selects which values in pattern to use for pattern matching. E.g. 0,0,0,0,1,1,1,1 matches the first 4 received
      bits."/>
  <port name="input" producer="false" protocol="bool_timed_sample-prot"/>
  <port name="output" producer="true" protocol="bool_timed_sample-prot"/>
</componentspec>
